Bug 1028951 - No artifacts are displayed in SRAMP after name change of the the local cache
No artifacts are displayed in SRAMP after name change of the the local cache
Product: JBoss Fuse Service Works 6
Classification: JBoss
Component: DT Governance (Show other bugs)
Unspecified Unspecified
unspecified Severity medium
: ---
: ---
Assigned To: Brett Meyer
Jiri Sedlacek
Depends On:
  Show dependency treegraph
Reported: 2013-11-11 05:23 EST by Stefan Bunciak
Modified: 2015-09-01 00:00 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Red Hat does not support changing the name of the local cache. If you attempt to do so, you will find that no artifacts will be displayed in the S-RAMP UI Repository Browser.
Story Points: ---
Clone Of:
Last Closed: 2014-07-29 13:38:41 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Stefan Bunciak 2013-11-11 05:23:52 EST
Description of problem:

* No artifacts are displayed in SRAMP after changing name of the local cache.

Version-Release number of selected component (if applicable):
* 6.0.0.ER6 (Beta)

How reproducible:
* 100%

Steps to Reproduce:

* Change current configuration

            <cache-container name="modeshape">
                <local-cache name="sramp">
                    <locking isolation="NONE"/>
                    <transaction mode="NON_XA"/>
datasource="java:jboss/datasources/srampDS" passivation="false"
                        <string-keyed-table prefix="ispn_bucket">
                            <id-column name="id" type="VARCHAR(500)"/>
                            <data-column name="datum"
                            <timestamp-column name="version" type="BIGINT"/>

        <subsystem xmlns="urn:jboss:domain:modeshape:1.0">
            <repository name="sramp" cache-name="sramp"
cache-container="modeshape" security-domain="overlord-idp"

to e.g.:

         <cache-container name="modeshape">
              <local-cache name="sramp_test">

         <subsystem xmlns="urn:jboss:domain:modeshape:1.0">
            <repository name="sramp" cache-name="sramp_test" ...

Actual results:
* No artifacts are displayed in SRAMP ui repository browser

Expected results:
* Name change of the local cache should not affect the displayed data since since the data store has not been changed (just renamed).

Additional info:
Comment 1 Anne-Louise Tangring 2013-11-11 15:10:52 EST
We do not support changing the name of the local cache. We should consider doing a knowledgebase article.
Comment 2 Brett Meyer 2014-07-29 13:38:41 EDT
The local cache name cannot be changed between runs.  ModeShape bases IDs on the hashed cache-store name, so changing it will never show the existing artifacts.

Note You need to log in before you can comment on or make changes to this bug.